#! /bin/sh
#
##########################################################################
#                                                                        #
# Shell Script to download the list of peers for Astrad from db2         #
# Switzernet(c)2011                                                      #
#                                                                        #
##########################################################################
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
CONF_FILE="/etc/astrad/config/switzer.conf"
Dir="/etc/asterisk/"
cd $Dir
FILE[0]="db-customer-ip.conf"
FILE[1]="db-deny-node.conf"
FILE[2]="db-friends.conf"
FILE[3]="db-peers.conf"
HTTP_USER=`egrep -A4 '\[PEER_DB\]' $CONF_FILE | egrep '^USER=.*' | cut -d= -f2`
HTTP_PASS=`egrep -A4 '\[PEER_DB\]' $CONF_FILE | egrep '^PASS=.*' | cut -d= -f2`
SET=0

for ((i=0;i<4;i++)) do
      iSET=`/usr/bin/wget -N  --http-user="$HTTP_USER" --http-passwd="$HTTP_PASS" http://db2.switzernet.com/110127-peers-list/${FILE[$i]} 2>&1 | if /bin/grep -i -q "no newer"; then echo "0" ;else echo "1"; fi`
      echo "${FILE[$i]}: $iSET"
      (( SET = SET + iSET ))
done

/bin/date +"%F %T"
if [ $SET -ne "0" ] ;then
      /bin/chown asterisk:asterisk *.conf
      /etc/init.d/asterisk reload
fi
echo "-----------------------------------------------------------"
